---
type: api
title: Get constructor
description: Retrieves a constructor by id.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-constructor
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-constructor
products:
  - Elastic Cloud Enterprise
---

# Get constructor

## Paths

- `GET` `/platform/infrastructure/constructors/{constructor_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#apikey)

#### Path Parameters

- `constructor_id` (string)
  Identifier for the constructor

## Description

Retrieves a constructor by id.

## Responses

#### `200`

The information for the constructor specified by {constructor_id}.

`application/json`

- `status` ({} ConstructorHealthStatus)
  The health status of the constructor.
  - `connected` (boolean)
    Whether the constructor is connected
  - `maintenance_mode` (boolean)
    Whether the constructor is in maintenance mode
- `constructor_id` (string)
  Identifier for this constructor
#### `404`

The constructor specified by {constructor_id} cannot be found. (code: `constructors.constructor_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
GET /platform/infrastructure/constructors/{constructor_id}
```

#### curl

```curl
curl -X GET "/platform/infrastructure/constructors/{constructor_id}"
```

